<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-card class="action-detail" *ngIf="action">
  <mat-card-header class="action-detail-header">
    <mat-card-title>
      {{ action.votingMaterialsConfiguration.configuration.operationName }} -
      {{'voting-materials-creation.detail.card.title' | translate}}
    </mat-card-title>
    <mat-card-subtitle>
      {{'voting-materials-creation.detail.card.subtitle' | translate}}
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content class="action-detail-container">

    <pact-action-detail-row [labels]="['statusDate', 'ownerName']"
                            i18nLabel="voting-materials-creation" [action]="actionMetadata">
    </pact-action-detail-row>

    <pact-action-detail-row
      [labels]="action.votingMaterialsConfiguration.target === 'REAL' ? ['target'] : ['target', 'simulationName']"
      i18nLabel="voting-materials-creation" [action]="actionMetadata">
    </pact-action-detail-row>

    <mat-divider></mat-divider>

    <pact-action-detail-row [labels]="['votingCardLabel', 'operationDate']"
                            i18nTitleLabel="votingCardInfoTitle" i18nLabel="voting-materials-creation"
                            [action]="actionMetadata">
    </pact-action-detail-row>

    <pact-action-detail-row [labels]="['digitalHash1', 'digitalHash2']"
                            i18nLabel="voting-materials-creation" [action]="actionMetadata">
    </pact-action-detail-row>

    <pact-action-detail-row [labels]="['votingSiteUrl', 'siteOpeningDate', 'siteClosingDate']"
                            i18nLabel="voting-materials-creation" [action]="actionMetadata">
    </pact-action-detail-row>

    <mat-divider></mat-divider>

    <pact-action-detail-accordion-row i18nLabel="voting-materials-creation.register" expansionClass="vmc-register"
                                      i18nTitleLabel="title" titleLabel="name" [actions]="registersMetadata"
                                      [descriptionLabels]="['signatureAuthor', 'signatureStatus']"
                                      [rows]="[
                                        ['nbOfVoters', 'generationDate', 'importDate'],
                                        ['messageId', 'sourceApplication', 'signatureExpiryDate'],
                                        ['fileHash']
                                      ]">
    </pact-action-detail-accordion-row>

    <mat-divider></mat-divider>

    <pact-action-detail-accordion-row i18nLabel="voting-materials-creation.printers"
                                      expansionClass="vmc-printer"
                                      i18nTitleLabel="title" titleLabel="printerName"
                                      [actions]="printersMetadata"
                                      [descriptionLabels]="['votingCardTypes']">
      <ng-template let-details="details">
        <div class="action-row action-detail-accordion-detail-row">
          <div class="action-column">
            <div class="action-row">
              <div class="action-cell action-cell-printer">
                <div class="readonly-label">
                  {{ 'voting-materials-creation.printers.fieldNames.printerHash' | translate }}
                </div>
                <pact-action-detail-value [action]="details['printerHash']"
                                          [ngClass]="['readonly-value']">
                </pact-action-detail-value>
              </div>
            </div>
          </div>
        </div>
        <div class="action-detail-accordion-detail-row" *ngIf="details['showMunicipalities'].value">
          <div class="readonly-label">
            {{ 'voting-materials-creation.printers.fieldNames.municipalities' | translate }} {{
            details['municipalities'].value.length }}
          </div>
          <div class="action-cell-municipalities">
            <div *ngFor="let municipalityName of details['municipalities'].value" class="municipality-item">
              {{municipalityName}}
            </div>
          </div>
        </div>
        <div class="action-detail-accordion-detail-row" *ngIf="details['swissAbroadWithoutMunicipality'].value">
          {{ 'voting-materials-creation.printers.detail.content.swissAbroadWithoutMunicipality' | translate }}
        </div>
      </ng-template>
    </pact-action-detail-accordion-row>

    <mat-divider></mat-divider>

    <pact-action-detail-submit-row i18nLabel="voting-materials-creation"
                                   [action]="action"
                                   (onCreateAction)="onCreateAction()"
                                   (onApprove)="onApproveAction()"
                                   (onReject)="onRejectAction($event)">
    </pact-action-detail-submit-row>
  </mat-card-content>
</mat-card>
